Summary: An X based image file viewer and manipulator.
Name: xv
Version: 3.10a
Release: 1
License: Shareware
Group: Amusements/Graphics
Source0: ftp://ftp.cis.upenn.edu/pub/xv/%{name}-%{version}.tar.gz
Source1: %{name}.desktop
Patch0: %{name}-%{version}-jumbo-fix-patch-20050410.txt
Patch1: %{name}-%{version}-jumbo-enh-patch-20050501.txt
Patch2: %{name}-%{version}-aix.patch
URL: http://www.trilon.com/xv/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: bzip2
Requires: ghostscript >= 8.60
Requires: libjpeg
Requires: libpng
Requires: libtiff
Requires: zlib
BuildRequires: patch
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: zlib-devel

%description
Xv is an image display and manipulation utility for the X Window
System.  Xv can display GIF, JPEG, TIFF, PBM, PPM, X11 bitmap, Utah
Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX, IRIS RGB, XPM,
Targa, XWD, PostScript(TM) and PM format image files.  Xv is also
capable of image manipulation like cropping, expanding, taking
screenshots, etc.


%package docs
Summary: Documentation to xv
Group: Amusements/Graphics

%description docs
Xv is an image display and manipulation utility for the X Window
System.  Xv can display GIF, JPEG, TIFF, PBM, PPM, X11 bitmap, Utah
Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX, IRIS RGB, XPM,
Targa, XWD, PostScript(TM) and PM format image files.  Xv is also
capable of image manipulation like cropping, expanding, taking
screenshots, etc.

This package contains the documentation to xv.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications
cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/
chmod 644 %{SOURCE1} ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README BUGS CHANGELOG IDEAS 
%{_bindir}/*
%{_mandir}/*/*
%config /etc/X11/applnk/Applications/xv.desktop
/usr/bin/*


%files docs
%defattr(-,root,system)
%doc docs/xvdocs.ps


%changelog
* Sat Nov 01 2008 Michael Perzl <michael@perzl.org> - 3.10a-1
- first version for AIX V5.1 and higher
